Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 08-03-2022 18:50:49

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

[Résolu] tentative de mise à jour des paquets de SANE ...

Bonjour à tous,

Bon là j'avoue, je me suis aventuré en dehors de mon domaine de compétence. Pour résoudre un problème de paramétrage de mon scanner, j'ai suivi un tuto de mise à jour des paquets de SANE en exécutant la commande :

sudo add-apt-repository -y ppa:sane-project/sane-git
apt-get install libsane libsane-common sane-utils



Après la mise à jour

sudo apt update



je me retrouve avec des messages du genre :

Atteint :1 http://deb.debian.org/debian bullseye InRelease
Atteint :2 http://deb.debian.org/debian bullseye-updates InRelease                                                                                                    
Atteint :3 http://security.debian.org/debian-security bullseye-security InRelease                                                                                    
Atteint :4 https://updates.signal.org/desktop/apt xenial InRelease                                                                                        
Atteint :5 https://deb.opera.com/opera-stable stable InRelease                                                                        
Réception de :6 http://ppa.launchpad.net/sane-project/sane-git/ubuntu jammy InRelease [24,3 kB]
Err :6 http://ppa.launchpad.net/sane-project/sane-git/ubuntu jammy InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY DDEAC554C101175B
Lecture des listes de paquets... Fait
W: La cible Packages (main/binary-amd64/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Packages (main/binary-all/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Translations (main/i18n/Translation-fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Translations (main/i18n/Translation-fr) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Translations (main/i18n/Translation-en) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11 (main/dep11/Components-amd64.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11 (main/dep11/Components-all.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11-icons-small (main/dep11/icons-48x48.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11-icons (main/dep11/icons-64x64.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11-icons-hidpi (main/dep11/icons-64x64@2.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11-icons-large (main/dep11/icons-128x128.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: Erreur de GPG : http://ppa.launchpad.net/sane-project/sane-git/ubuntu jammy InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY DDEAC554C101175B
E: Le dépôt http://ppa.launchpad.net/sane-project/sane-git/ubuntu jammy InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: La cible Packages (main/binary-amd64/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Packages (main/binary-all/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Translations (main/i18n/Translation-fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Translations (main/i18n/Translation-fr) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Translations (main/i18n/Translation-en) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11 (main/dep11/Components-amd64.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11 (main/dep11/Components-all.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11-icons-small (main/dep11/icons-48x48.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11-icons (main/dep11/icons-64x64.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11-icons-hidpi (main/dep11/icons-64x64@2.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11-icons-large (main/dep11/icons-128x128.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
 



Je ne suis pas sûr d'avoir tout compris mais j'ai comme l'impression d'avoir créé un doublon, c'est ça ?
Y a-t-il un moyen simple de clarifier tout cela ?

Merci d'avance pour le coup de main !

Dernière modification par orelyane (09-03-2022 11:07:15)


ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#2 08-03-2022 20:29:28

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Hello,

Je vois 2 soucis :
   - tu as ajouté un "dépôt" pour ubuntu (le ppa).
   - tu as un fichier sources.list qui indique 2 fois la même entrée.

Pour enlever le ppa :

add-apt-repository -r ppa:sane-project/sane-git



Donne le retour de cette commande pour voir les "doublons" :

find /etc/apt -type f -regex ".*.list\|.*.sources" -exec bash -c 'echo "$*"; nl -ba "$*"; echo' _ '{}' \;

(triple clique dessus pour la sélectionner entièrement wink)

Edit:
Mise à jour de la commande find

Edit2:
Re-mise à jour de la commande find : ajout des options -ba à nl
Le retour ci-dessous n'est plus conforme à la commande ci-dessus tongue
Edit3:
Re-re-mise à jour de la commande find (plus courte).

Dernière modification par Tawal (09-03-2022 12:07:23)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#3 08-03-2022 20:39:33

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Voilà ce que ça renvoit :

--- /etc/apt/sources.list ---
     1  # See https://wiki.debian.org/SourcesList for more information.
     2  deb http://deb.debian.org/debian bullseye main contrib non-free
     3  deb-src http://deb.debian.org/debian bullseye main contrib non-free
       
     4  deb http://security.debian.org/debian-security bullseye-security main contrib non-free
     5  deb-src http://security.debian.org/debian-security bullseye-security main contrib non-free
       
     6  deb http://deb.debian.org/debian bullseye-updates main contrib non-free
     7  deb-src http://deb.debian.org/debian bullseye-updates main contrib non-free
       
     8  # deb http://deb.debian.org/debian bullseye-backports main
     9  # deb-src http://deb.debian.org/debian bullseye-backports main
    10  deb [arch=amd64,i386] https://deb.opera.com/opera-stable/ stable non-free
    11  # deb-src [arch=amd64,i386] https://deb.opera.com/opera-stable/ stable non-free

--- /etc/apt/sources.list.d/signal-xenial.list ---
     1  deb [arch=amd64 signed-by=/usr/share/keyrings/signal-desktop-keyring.gpg] https://updates.signal.org/desktop/apt xenial main
     2  deb [arch=amd64 signed-by=/usr/share/keyrings/signal-desktop-keyring.gpg] https://updates.signal.org/desktop/apt xenial main

--- /etc/apt/sources.list.d/sane-project-ubuntu-sane-git-jammy.list ---
 


ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#4 08-03-2022 20:48:55

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Bon déjà, avec les  2 commandes suivantes, ça devrait faire du bien.
Mais j’émettrai un avertissement après.

Supprimer le fichier vide : /etc/apt/sources.list.d/sane-project-ubuntu-sane-git-jammy.list

rm /etc/apt/sources.list.d/sane-project-ubuntu-sane-git-jammy.list


Supprimer la ligne doublon dans /etc/apt/sources.list.d/signal-xenial.list

sed -i '$d' /etc/apt/sources.list.d/signal-xenial.list



Encore une fois, le "dépôt" pour Signal est pour une distribution ubuntu (xenial).
Ce n'est pas bon de mélanger les "genres".

Après ceci, tu peux tenter un :

apt update


Donne le retour aussi wink


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#5 08-03-2022 20:50:57

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Dis-moi Tawal, les lignes en double qui se réfèrent à "signal.xenial" correspondent à Signal Desktop, c'est ça ?

ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#6 08-03-2022 20:52:53

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Je n'avais pas vu ta réponse. Si je comprends ta remarque, même si certains dépôts Ubuntu fonctionnent sous Debian, il faut éviter de les installer, c'est ça ?

ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#7 08-03-2022 20:56:05

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Tawal a écrit :

Bon déjà, avec les  2 commandes suivantes, ça devrait faire du bien.
Mais j’émettrai un avertissement après.

Supprimer le fichier vide : /etc/apt/sources.list.d/sane-project-ubuntu-sane-git-jammy.list

rm /etc/apt/sources.list.d/sane-project-ubuntu-sane-git-jammy.list


Supprimer la ligne doublon dans /etc/apt/sources.list.d/signal-xenial.list

sed -i '$d' /etc/apt/sources.list.d/signal-xenial.list



Encore une fois, le "dépôt" pour Signal est pour une distribution ubuntu (xenial).
Ce n'est pas bon de mélanger les "genres".

Après ceci, tu peux tenter un :

apt update


Donne le retour aussi wink



Le retour :

Atteint :1 http://security.debian.org/debian-security bullseye-security InRelease
Atteint :2 http://deb.debian.org/debian bullseye InRelease                                                                                        
Atteint :3 https://deb.opera.com/opera-stable stable InRelease                                                                                    
Atteint :4 http://deb.debian.org/debian bullseye-updates InRelease                                                      
Atteint :5 https://updates.signal.org/desktop/apt xenial InRelease                    
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Tous les paquets sont à jour.


ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#8 08-03-2022 20:57:02

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Hum... Tu crois que je devrais virer Signal ? C'est plus pratique sur mon ordi que sur mon mobile mais bon...

ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#9 08-03-2022 20:57:51

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

J'ai lu quelque part qu'on appelait ces "Debian" des FrankenDebian ...
Ça fonctionne ... jusqu'à quand ...

Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#10 08-03-2022 21:04:54

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Une question qui n'a pas été vue :
Pourquoi vouloir utiliser une autre version de Sane ?
Un problème avec une imprimante/scanner ?

Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#11 08-03-2022 21:43:59

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

En fait, j'ai un problème avec XSane. Mon scanner fonctionne mais il ne respecte pas le format du document. Je suis tombé sur un tuto qui disait que ça pouvait être solutionné par une mise à jour des bibliothèques. Et puis, je me suis perdu dans les conseils sur le net...
En fait, je ne trouve pas bon logiciel pour réaliser mes scans sous Debain. Si tu as un tuyau...

ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#12 08-03-2022 21:44:28

bartaba
Membre
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Mate
Inscription : 04-02-2014

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

orelyane a écrit :

Hum... Tu crois que je devrais virer Signal ? C'est plus pratique sur mon ordi que sur mon mobile mais bon...


Bonjour
Signal est dispo en flatpak, je suis pas très fan de flatpak mais vaut mieux l'installer comme ça, que de casser ton debian avec des dépôts ubuntu.
De plus sur le site de signal ils disent bien que leur dépôt n'est pas pour debian mais pour les dérivées comme ubuntu et mint

Tawal a écrit :

Une question qui n'a pas été vue :
Pourquoi vouloir utiliser une autre version de Sane ?
Un problème avec une imprimante/scanner ?


en effet

Hors ligne

#13 08-03-2022 23:25:34

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

bartaba a écrit :

Bonjour
Signal est dispo en flatpak, je suis pas très fan de flatpak mais vaut mieux l'installer comme ça, que de casser ton debian avec des dépôts ubuntu.
De plus sur le site de signal ils disent bien que leur dépôt n'est pas pour debian mais pour les dérivées comme ubuntu et mint


Bonjour, j'ai suivi le conseil. J'ai installé Flatpak et j'ai trouvé Signal. Par contre, j'avais installé Signal en suivant les instruction du site et je ne sais pas comment supprimer les paquets pour le désinstaller le plus proprement possible avant d'utiliser la version Flatpak. Un petit coup de main ?


ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#14 09-03-2022 00:21:06

bartaba
Membre
Distrib. : Debian Buster
Noyau : Linux 4.19.0-13-amd64
(G)UI : Mate
Inscription : 04-02-2014

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

orelyane a écrit :

bartaba a écrit :

Bonjour
Signal est dispo en flatpak, je suis pas très fan de flatpak mais vaut mieux l'installer comme ça, que de casser ton debian avec des dépôts ubuntu.
De plus sur le site de signal ils disent bien que leur dépôt n'est pas pour debian mais pour les dérivées comme ubuntu et mint


Bonjour, j'ai suivi le conseil. J'ai installé Flatpak et j'ai trouvé Signal. Par contre, j'avais installé Signal en suivant les instruction du site et je ne sais pas comment supprimer les paquets pour le désinstaller le plus proprement possible avant d'utiliser la version Flatpak. Un petit coup de main ?



fais d'abord une simulation avec l'option -s on sait jamais

sudo apt -s --purge autoremove signal-desktop



j'arrête pour aujourd'hui je reviens demain

Dernière modification par bartaba (09-03-2022 00:22:18)

Hors ligne

#15 09-03-2022 01:30:33

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

+1
Ensuite, je supprimerais le sources.list de Signal :

rm /etc/apt/sources.list.d/signal-xenial.list



Pour Sane, il va falloir préciser un peu plus.
Parce que là, je ne vois pas.

Dernière modification par Tawal (09-03-2022 01:34:04)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#16 09-03-2022 08:35:12

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Bonjour !

sudo apt -s --purge autoremove signal-desktop



Me renvoit :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Les paquets suivants seront ENLEVÉS :
  chromium-common* chromium-sandbox* gir1.2-polkit-1.0* libu2f-udev* signal-desktop* system-config-printer*
0 mis à jour, 0 nouvellement installés, 6 à enlever et 0 non mis à jour.
Purg chromium-common [99.0.4844.51-1~deb11u1]
Purg chromium-sandbox [99.0.4844.51-1~deb11u1]
Purg system-config-printer [1.5.14-1]
Purg gir1.2-polkit-1.0 [0.105-31+deb11u1]
Purg libu2f-udev [1.1.10-3]
Purg signal-desktop [5.34.0]
 



C'est le system-config-printer et les deux suivants que je n'identifie pas qui m'embêtent un peu. Chromium je l'ai viré.


ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#17 09-03-2022 09:04:44

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Bonjour
tu peu faire le point sur les paquets orphelins en simulation


apt -s autoremove --purge
 


system-config-printer , il est pratique pour les imprimantes
au pire tu le vire et puis tu l'installe a nouveau

celui ci il risque d'être important "gir1.2-polkit-1.0" (chez moi il est installé sur mate )


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#18 09-03-2022 09:08:44

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Concernant Xsane que j'utilise avec un scanner CANON Canoscan LIDE 700, je n'arrive pas à scanner une page A4 entière et je n'ai aucune option disponible pour modifier cela. J'ai lu dans un forum que c'était un problème de bibliothèque de SANE qui n'était pas à jour pour ce modèle de scanner. D'où le reste de mon aventure.

ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#19 09-03-2022 09:10:09

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

robert2a a écrit :

Bonjour
tu peu faire le point sur les paquets orphelins en simulation


apt -s autoremove --purge
 


system-config-printer , il est pratique pour les imprimantes
au pire tu le vire et puis tu l'installe a nouveau

celui ci il risque d'être important "gir1.2-polkit-1.0" (chez moi il est installé sur mate )



Donc je fais quoi concrêtement ?


ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#20 09-03-2022 09:10:15

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

pour libu2f-udev , il semble qu'il ne soit plus utile


Libu2f est un package pour effectuer une communication hôte Universal 2nd Factor (U2F)
et dispose de fonctionnalités pour les opérations d'enregistrement et d'authentification.

Ce paquet n'est plus nécessaire et peut être supprimé en toute sécurité : puisque udev
v244, les appareils U2F sont détectés automatiquement sans avoir besoin de règles udev tierces.
 


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#21 09-03-2022 09:13:05

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

tu simule l'autoremove pour voir les paquets marqués comme quoi ils peuvent être retiré du système
et tu poste le retour


apt -s autoremove --purge
 



tu peu vérifier la version de "udev" comme ceci (si égale ou supérieure a 244 )


apt policy udev
 

Dernière modification par robert2a (09-03-2022 09:16:24)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#22 09-03-2022 09:16:56

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Voilà le retour :

NOTE: Ceci n'est qu'une simulation !
      apt a besoin des privilèges du superutilisateur
      pour pouvoir vraiment fonctionner.
      Veuillez aussi noter que le verrouillage est désactivé,
      et la situation n'est donc pas forcément représentative
      de la réalité !
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Les paquets suivants seront ENLEVÉS :
  chromium-common* chromium-sandbox* gir1.2-polkit-1.0* libu2f-udev* system-config-printer*
0 mis à jour, 0 nouvellement installés, 5 à enlever et 0 non mis à jour.
Purg chromium-common [99.0.4844.51-1~deb11u1]
Purg chromium-sandbox [99.0.4844.51-1~deb11u1]
Purg system-config-printer [1.5.14-1]
Purg gir1.2-polkit-1.0 [0.105-31+deb11u1]
Purg libu2f-udev [1.1.10-3]
 


ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#23 09-03-2022 09:18:20

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Pour udev, j'ai 247.3-6, donc si je te suis la suppression n'entraînera aucun problème.

ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#24 09-03-2022 09:19:17

orelyane
Membre
Distrib. : Debian GNU/Linux 10 \n \l
Noyau : Linux 4.19.0-17-amd64
(G)UI : KDE
Inscription : 29-07-2021

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

Qu'en est-il de gir1.2-polkit-1.0 [0.105-31+deb11u1] ?

ASUS VivoBook 12" - Debian 11.1 - Linux 4.19.0-18-amd64 x86_64

Hors ligne

#25 09-03-2022 09:26:25

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu] tentative de mise à jour des paquets de SANE ...

pour xsane , il a été retiré de testing (bookworm future stable)
avec simple-scan peut être


apt policy xsane
xsane:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
 



une simulation pour chromium-common et chromium-sandbox ?


apt -s remove --purge chromium-common chromium-sandbox
 


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

Pied de page des forums